Bug 1019300 (CVE-2013-5838) - CVE-2013-5838 OpenJDK: Vulnerability in Libraries component (Libraries, 7023639)
Summary: CVE-2013-5838 OpenJDK: Vulnerability in Libraries component (Libraries, 7023639)
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2013-5838
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
urgent
urgent
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 1017632
TreeView+ depends on / blocked
 
Reported: 2013-10-15 12:48 UTC by Stefan Cornelius
Modified: 2019-09-29 13:09 UTC (History)
4 users (show)

Fixed In Version: icedtea 2.4.3
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-11-13 15:58:32 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2013:1440 normal SHIPPED_LIVE Critical: java-1.7.0-oracle security update 2013-11-13 16:11:19 UTC
Red Hat Product Errata RHSA-2013:1447 normal SHIPPED_LIVE Important: java-1.7.0-openjdk security update 2013-10-21 21:42:45 UTC
Red Hat Product Errata RHSA-2013:1451 normal SHIPPED_LIVE Critical: java-1.7.0-openjdk security update 2013-10-22 21:17:48 UTC
Red Hat Product Errata RHSA-2013:1507 normal SHIPPED_LIVE Critical: java-1.7.0-ibm security update 2013-11-07 21:55:25 UTC

Description Stefan Cornelius 2013-10-15 12:48:54 UTC
A vulnerability in the Libraries component can be exploited by remote attackers to affect confidentiality, integrity and availability.

Comment 1 Tomas Hoger 2013-10-15 19:07:20 UTC
Upstream associates this with upstream bug id 7023639.  The related commit is:

http://hg.openjdk.java.net/jdk7u/jdk7u/jdk/rev/6e34c6d3479f

which references the following upstream bugs:

http://bugs.sun.com/bugdatabase/view_bug.do?bug_id=7023639
http://bugs.sun.com/bugdatabase/view_bug.do?bug_id=6984705

related to implementation of JSR-292 "Supporting Dynamically Typed Languages on the JavaTM Platform":

http://jcp.org/en/jsr/detail?id=292

The change was included in Oracle JDK 7u40.

A security issue addressed by this change is not specified.

Comment 3 Tomas Hoger 2013-10-16 11:05:50 UTC
Fixed in Oracle Java SE 7u45.

Comment 5 errata-xmlrpc 2013-10-17 17:42:49 UTC
This issue has been addressed in following products:

  Supplementary for Red Hat Enterprise Linux 6
  Supplementary for Red Hat Enterprise Linux 5

Via RHSA-2013:1440 https://rhn.redhat.com/errata/RHSA-2013-1440.html

Comment 6 Tomas Hoger 2013-10-18 19:46:47 UTC
Further details of the issue were posted by Adam Gowdiak (Security Explorations), along with the example exploit:

http://seclists.org/fulldisclosure/2013/Oct/116
http://www.security-explorations.com/materials/SE-2012-01-ORACLE-13.pdf
http://www.security-explorations.com/materials/se-2012-01-69.zip

Comment 7 errata-xmlrpc 2013-10-21 17:48:32 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2013:1447 https://rhn.redhat.com/errata/RHSA-2013-1447.html

Comment 8 errata-xmlrpc 2013-10-22 17:24:41 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2013:1451 https://rhn.redhat.com/errata/RHSA-2013-1451.html

Comment 9 errata-xmlrpc 2013-11-07 17:13:25 UTC
This issue has been addressed in following products:

  Supplementary for Red Hat Enterprise Linux 5
  Supplementary for Red Hat Enterprise Linux 6

Via RHSA-2013:1507 https://rhn.redhat.com/errata/RHSA-2013-1507.html

Comment 10 Tomas Hoger 2013-11-13 15:58:32 UTC
Fixed in IcedTea7 2.4.3:

http://mail.openjdk.java.net/pipermail/distro-pkg-dev/2013-October/025087.html


Note that this will not be fixed in IcedTea7 2.3.x versions.  Quoting from the above 2.4.3 announcement:

  Existing users of the 2.3.x series are strongly advised to upgrade to
  the 2.4.x series.  Although there will be a 2.3.x update, one security
  issue (CVE-2013-5838) is resolved by the JSR292 rewrite (S7023639)
  which is present in the 2.4.x series, but not 2.3.x.  It may or may
  not be possible to backport this for the Zero port, but the safest
  solution is to use 2.4.x where possible.


Note You need to log in before you can comment on or make changes to this bug.